{% extends "dashboard/dashboard_content.html" %}

{% block head_block %}
    {% load static %}
    <script src="{% static 'accounts/vendors/jquery.inputmask/dist/min/jquery.inputmask.bundle.min.js' %}"></script>
{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-user"></i>
                Active Directory Credentials
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <form action="" method="post" class="form-horizontal">{% csrf_token %}
                    <div class="form-group">
                        <label for="ip" class="col-sm-4 control-label">Active directory IP</label>
                        <div class="col-sm-5">
                            <input type="text" class="form-control" required="" name="ip" id="ip"
                                   value="{{ settings.IP }}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="ip" class="col-sm-4 control-label">Admin DN</label>
                        <div class="col-sm-5">
                            <input type="text" class="form-control" required="" name="admin_dn" id="ip"
                                   value="{{ settings.ADMIN_DN }}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="ip" class="col-sm-4 control-label">Admin Password</label>
                        <div class="col-sm-5">
                            <input type="password" class="form-control" required="" name="admin_password" id="ip"
                                   value="{{ settings.ADMIN_PASSWORD }}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="ip" class="col-sm-4 control-label">Domain</label>
                        <div class="col-sm-5">
                            <input type="text" class="form-control" required="" name="domain" id="ip"
                                   value="{{ settings.DOMAIN }}"/>
                        </div>
                    </div>
                    <div class="col-sm-2 col-sm-offset-5">
                        <button type="submit" class="save btn btn-lg btn-success"
                                value="Save" name="update_settings">Update
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>


{% endblock %}

